webdevqa.jp.net

EclipseでAVDまたはSDKマネージャーが見つかりません

SDKマネージャーを使用してAndroid SDKツールとプラットフォームツールを更新した後に問題が発生したようです。問題は、更新後、Eclipseのウィンドウドロップダウンメニューのavdまたはsdkオプションがなくなったことです!そして、ファイルからAndroidプロジェクトを作成するオプションが見つかりません->新しいプロジェクト。

EclipseからADTを削除し、「利用可能なソフトウェアサイト」からソフトウェアサイト「https://dl-ssl.google.com/Android/Eclipse/」を削除してから、「https:// dl-ssl」からADTを再インストールしました。 google.com/Android/Eclipse/ "を使用して[ヘルプ]-> [新しいソフトウェアをインストール]を選択します。インストールは成功しましたが、SDKマネージャーまたはEclipseのAVDへのショートカットのオプションがまだありません。また、新しいAndroidプロジェクトを作成することもできません。

ちなみに、Androidパースペクティブはなくなっていませんが、まだここにあります。また、インストールしたディレクトリからavdおよびsdkマネージャーを手動で開くことができます。

誰かが回避策を教えてもらえますか?どんな助けも大歓迎です。

88
Ishtiaque Khan

私はこれを次のように解決しました:

  1. ウィンドウ>パースペクティブのカスタマイズ...(AndroidとAVD Managerが無効になっています)

  2. コマンドグループの可用性> AndroidおよびAVD Manager>チェック

  3. ツールバーの可視性> AndroidおよびAVD Manager>チェック

329
joseluismms

SDKをr20からr21に更新した後も同様の問題が発生しましたが、SDK/AVDマネージャーだけが見つかり、答えを探しているときにこの投稿を実行していました。

Window -> Customize Perspectiveに移動して問題を解決し、[コマンドグループの可用性]タブでAndroid SDKとAVD Managerを確認しました(以前にあったためにチェックが外された理由がわかりません)。メニューオプションが異なって見える場合に備えて、私はちなみにMacを使用しています。

15
Chris Yuan

まあ、私は愚かな感じがしますが、私の問題は、私がデバッグの観点にいて、それらがその観点に現れないことでした。 Javaパースペクティブとビオラに切り替えました。

4
Kenneth Hurley

ウィンドウ->カスタムパースペクティブ->コマンドグループの可用性-> Android SDKおよびAVD Managerで確認

4
user1619310

Java 1.5を使用してEclipseを実行している可能性があります。

Latest Plugin requires that the JRE be 1.6 or higher. 

JRE 1.6で実行されるEclipseを使用する必要があります

編集:私は同じ問題に遭遇しました。 JREの問題でない場合は、これをデバッグできます。以下の手順に従ってください:

  1. ウィンドウ->ビューの表示->その他->プラグイン開発->プラグインレジストリ
  2. プラグインレジストリで、com.Android.ide.Eclipse.adtまたはAndroidに関連する他のプラグインを検索します(インストールによって異なりますが、7〜8)
  3. を選択し、右クリック->診断します。これにより、プラグインがロードされなかった問題が表示されます
3
nandeesh

残念ながら、最終的にEclipseを再インストールする必要がありました。しかし、最初(Linuxの場合)(Windowsのフォルダーが不明):

Sudo rm -R /usr/share/Eclipse/
0
Michael Kern

Android SDKツールと互換性のあるADTプラグインをインストールし、Android SDK LIKE Android SDKツールと互換性のあるすべての必要なプラグインをインストールすることをお勧めしますRev 20.0.3 Android SDKツールRev 20.0.3 Android SDK Platform-tools Rev 14 Android 2.3.3(API 10)SDKプラットフォームrev 2サンプルSDK API 10 rev 1 ADTプラグイン20.0.3

0

EclipseにADTプラグインを再インストールしてみてください。これを確認してください: Eclipseプラグインのインストール